#ifndef HELPERS_H
#define HELPERS_H       1

 /* Convert a C string to a Pascal string */
unsigned char *CToPCpy(unsigned char *pstr, char *cstr); 

 /* Convert a Pascal string to a C string */
char *PToCCpy( unsigned char *pstr,char *cstr); 
                

char *StrCalloc(short size);
char *StrFree(char *strPtr);

char *sBit2Str(unsigned short value);

void print_extra_info(void);

int ParseArguments(char *s, char ***arg);
void PrintArguments(int argc,char **argv);

Boolean IsZipFile(char *name);
void  printerr(const char *msg,int cond,int err,int line,char *file,const char *msg2);
int PrintUserHFSerr(int cond, int err, char *msg2);

short CheckMountedVolumes(char *FullPath);
void DoWarnUserDupVol( char *path );

void PrintFileInfo(void);

int stricmp(const char *p1, const char *p2);


#define		MAX_ARGS	25



#endif   /*  HELPERS_H   */