#ifndef PATHNAME_H
#define PATHNAME_H       1



char *StripPartialDir(char *CompletePath, char *PartialPath,char *FullPath);

char *Real2RfDfFilen(char *RfDfFilen, const char *RealPath, short CurrendFork);
char *RfDfFilen2Real(char *RealFn, const char *RfDfFilen);

unsigned short GetVolumeFromPath(char *FullPath,char *VolumeName);
char *GetCompletePath(char *CompletePath, char *name, FSSpec *Spec,OSErr *err);
char *TruncFilename(char *CompletePath, const char *name, FSSpec *Spec,OSErr *err);
char *GetFilename(char *CompletePath, char *name);
char *GetFullPathFromSpec(char *CompletePath, FSSpec *Spec, OSErr *err);
char *GetFullPathFromID(char *CompletePath, short vRefNum, long dirID, ConstStr255Param name, OSErr *err);
OSErr GetFSSpecFromPathVref(short nVRefNum, char *pathname,FSSpec *spec);

char *GetAppName(void);

pascal	OSErr	GetNextDirItem(short vRefNum,
							long dirID,
							ConstStr255Param name,
							Boolean *isDirectory,
							FSSpec 	*item);
							
pascal	OSErr	GetFirstDirItem(short vRefNum,
							long dirID,
							ConstStr255Param name,
							Boolean *isDirectory,
							FSSpec 	*item);







#endif   /*  PATHNAME_H  */