#ifndef _MACGLOBAL_
#define _MACGLOBAL_

#include <time.h>

/*
all my Global vars are defined here.
*/


#define JohnnyLee    1
#define NewZipMode   2

#define ResourceFork 	-1
#define DataFork		1
#define NoFork			0

/*
all my Global vars are defined here.
*/
typedef struct {
	short      CurrentFork;	      
	short      MacZipMode;	      
	
	Boolean		isMacStatValid;
	Boolean 	IgnoreGMToffset;
								 	
	/* info about the current file */
    Boolean    		isDirectory;
	char 			FullPath[1024];
	char			FileName[257];
    FSSpec 			fileSpec;
	char 			creator[4];   
	char 			type[4];
	
	long			dirID;
	CInfoPBRec		fpb;
	
	/* time infos about the current file */
	long            gmt_offset;		 
	time_t			tm_CorrectOffset;
	time_t			CreatDate;
	time_t			ModDate;
	time_t			BackDate;
	
	/* some statistics over all*/
	unsigned long	FoundFiles;
	unsigned long	FoundDirectories;
	unsigned long	BytesOfData;

	
	/* some switches and user parameters */
    Boolean			DataForkOnly;
	Boolean			StoreFullPath;
	Boolean			StoreFoldersAlso;  /* internal switch is true if '-r' is set */
	unsigned short  SearchLevels;	
	char            Pattern[257];	
	Boolean			IncludeInvisible;	
	
	Boolean			StatingProgress;
	
	char			SearchDir[257];
	char			CurrentPath[257];
	
	/* current zip / tempzip file info */
	char			ZipFullPath[257];

	FSSpec 			ZipFileSpec;
	char			TempZipFullPath[257];
	FSSpec			TempZipFileSpec;

} MacZipGlobals;



#endif